
resource "azurerm_app_service" "fail" {
  name                = "example-app-service"
  location            = azurerm_resource_group.example.location
  resource_group_name = azurerm_resource_group.example.name
  app_service_plan_id = azurerm_app_service_plan.example.id
  site_config {
    min_tls_version = "1.1"
  }
}

resource "azurerm_app_service" "pass" {
  name                = "example-app-service"
  location            = azurerm_resource_group.example.location
  resource_group_name = azurerm_resource_group.example.name
  app_service_plan_id = azurerm_app_service_plan.example.id
}

resource "azurerm_linux_web_app" "pass" {
  name                = "example"
  resource_group_name = azurerm_resource_group.example.name
  location            = azurerm_service_plan.example.location
  service_plan_id     = azurerm_service_plan.example.id
  https_only          = true
  site_config {
    http2_enabled = true
  }
  identity {
    type = "SystemAssigned"

  }
  site_config {
    minimum_tls_version = "1.2"
  }
}

resource "azurerm_linux_web_app" "pass_tls13" {
  name                = "example"
  resource_group_name = azurerm_resource_group.example.name
  location            = azurerm_service_plan.example.location
  service_plan_id     = azurerm_service_plan.example.id
  https_only          = true
  site_config {
    http2_enabled = true
  }
  identity {
    type = "SystemAssigned"

  }
  site_config {
    minimum_tls_version = "1.3"
  }
}

resource "azurerm_linux_web_app" "fail" {
  name                = "example"
  resource_group_name = azurerm_resource_group.example.name
  location            = azurerm_service_plan.example.location
  service_plan_id     = azurerm_service_plan.example.id

  site_config {
    http2_enabled       = false
    minimum_tls_version = "1.1"
  }


}

resource "azurerm_windows_web_app" "pass" {
  name                = "example"
  resource_group_name = azurerm_resource_group.example.name
  location            = azurerm_service_plan.example.location
  service_plan_id     = azurerm_service_plan.example.id
  https_only          = true
  site_config {
    http2_enabled       = true
    minimum_tls_version = "1.2"
  }
  identity {
    type = "SystemAssigned"
  }
}

resource "azurerm_windows_web_app" "pass_tls13" {
  name                = "example"
  resource_group_name = azurerm_resource_group.example.name
  location            = azurerm_service_plan.example.location
  service_plan_id     = azurerm_service_plan.example.id
  https_only          = true
  site_config {
    http2_enabled       = true
    minimum_tls_version = "1.3"
  }
  identity {
    type = "SystemAssigned"
  }
}

resource "azurerm_windows_web_app" "fail" {
  name                = "example"
  resource_group_name = azurerm_resource_group.example.name
  location            = azurerm_service_plan.example.location
  service_plan_id     = azurerm_service_plan.example.id

  site_config {
    http2_enabled       = false
    minimum_tls_version = "1.1"
  }
}

resource "azurerm_linux_web_app" "pass_tfvar" {
  name                = "example"
  resource_group_name = azurerm_resource_group.example.name
  location            = azurerm_service_plan.example.location
  service_plan_id     = azurerm_service_plan.example.id
  https_only          = true
  site_config {
    http2_enabled = true
  }
  identity {
    type = "SystemAssigned"

  }
  site_config {
    minimum_tls_version = var.min_tls_version
  }
}

resource "azurerm_linux_web_app" "pass_tfvar2" {
  name                = "${var.prefix}-example"
  location            = azurerm_resource_group.example.location
  resource_group_name = azurerm_resource_group.example.name
  service_plan_id     = azurerm_service_plan.example.id

  site_config {
    application_stack {
      python_version = "3.9"
    }
    minimum_tls_version = var.min_tls_version
    http2_enabled       = false
  }
}
